Redmine - Defect #11362

Redmine API - "Title Version Type is not included in the list"
2012-07-10 18:38 - Michael Bisbjerg

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version:

Description

We had to map a series of values in our Redmine installation for all our issues. | opted to write a small script to simply iterate, map
and call the XML api to set the issues to their new values.

Sometimes however, | got a response like this (HTTP Status Code 422):

<?xml version="1.0" encoding="UTF-8"?>
<errors>

<error>Title Version Type is not included in the list</error>
</errors>

| called the API like this:

<?xml version="1.0" encoding="utf-8"?>
<issue>

<custom_field_values>

<3>Utilities &gt;&gt; Various</3>
</custom_field_values>

</issue>

(Which btw. is invalid XML as pr. issue #6345, but the docs don't explain how to do it otherwise)

| called the API a total of roughly 470 times, and 80 or so failed with the above error.
Sometimes, | would notice two calls, exactly alike (setting the same new value), where one would give the error - and the other
wouldn't.

History

#1 - 2012-07-10 18:45 - Michael Bisbjerg

| also tried using this XML from #8698, which seems to work when | try it - but not in the 80~ish issues which also failed previously. It gives the same
error.

<?xml version="1.0" encoding="IS0-8859-1" 2>
<issue>
<custom_fields type="array">
<custom_field>
<id>3</id>
<value>Utilities &gt;&gt; Various</value>
</custom_field>
</custom_fields>
</issue>

#2 - 2012-07-10 20:46 - Etienne Massip

How do you issue the request?

#3 - 2012-07-11 03:18 - Michael Bisbjerg

A various number of ways.
The HTTP debugger Fiddler, http:/fiddler2.com/fiddler2/
C# Programming language
Always a PUT request, other methods are disallowed (Gives 405's if | remember correctly.)

#4 - 2012-07-11 23:01 - Etienne Massip

If you're trying to update an issue then you should probably send updated issue_id?

#5 - 2012-07-12 00:41 - Michael Bisbjerg

Is that necessary if I'm PUT'ing against:
http:/site.com/issues/[id].xml?

| thought the ID was implicit then.
If | provide the ID | could've just posted to:
http://site.com/issues.xml?

Some better docs on XML updating would be awesome. Is there are more comprehensive guide than that available here:
http://www.redmine.org/projects/redmine/wiki/Rest_lssues#Using-XML ?

#6 - 2012-07-12 00:45 - Etienne Massip

Michael Bisbjerg wrote:

Is that necessary if I'm PUT'ing against:
http://site.com/issues/[id].xml?

No, indeed, please forget about my stupid comment.

#7 - 2012-07-12 00:48 - Etienne Massip

Is that possible that you have just added a required custom field which you need to supply a value for?

#8 - 2012-07-16 20:29 - Michael Bisbjerg

But if the issue already exists, the field must have been filled out - right?
Then again, I've noticed fields being magically set when | update other fields - as the Ul doesn't allow for these fields not to be filled out, and thus
assumes some 'default’ value.

Has anyone noticed the error:
"Title Version Type is not included in the list"

Before?
#9 - 2012-07-16 20:42 - Etienne Massip
Michael Bisbjerg wrote:

But if the issue already exists, the field must have been filled out - right?

Well, not if you just added them.
As a final thought, I'd go for a plugin issue if you have any installed?

#10 - 2012-07-16 20:45 - Michael Bisbjerg

Ah, right. There are people constantly changing this system at my office.
I'd love to have some better error messages though ;)

#11 - 2012-07-28 17:33 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Invalid
